Community
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Option to disable DROPGEOM

Option to disable DROPGEOM

I'm requesting a feature for Civil 3D/AutoCAD - It would be wonderful if an option can be added to disable the ability to (accidentally) click and drag an entity using mouse clicks only. It seems to most often happen to me when a simple click is translated to a click and drag by the machine because some other function is causing lag in that exact moment.

 

In any case, this 'ability' (to bypass the move command and move grips with a click and drag) has resulted in a small amount of very serious engineering discrepancies over the 11 years I have been working with AutoCAD and Civil 3D.

In my case, someone in my office accidentally shifted a visually-discreet (but important) existing subdivision surface 2 meters in a base file, and no one caught it until weeks of grading and corridor work was put in place. Another user accidentaly shifted an alignment several feet without the user noticing until after two days of section view production was completed - all of which needed to be redone. 

 

Such accidental shifts have happened to me many times despite trying to avoid it, though I have been lucky enough to catch it and undo it so far. Each time, it is easy to see how it could be missed. The presence of this... unsolicited micro adjustment tool... is both stressful and disruptive, as I have to be careful and slow down my work flow to avoid this from happening - afraid to click before the computer is done thinking, allowing more time than necessary between clicks to account for lag potential, etc.

 

I would much rather the option to disable it.

 

This is a feature that has been requested and voted on in various forums before, as far back as 2011. Users report being unhappy with it for the same reasons. Civil 3D 2024, now, and it is still an issue. I see several other users with programming backgrounds have written scripts and such to combat this, adding the option to toggle it on/off, with some users reporting that it resolved the issue. Searching "disable DROPGEOM" in Google turns up threads with such results, and some of these are even marked as solutions, so it seems they've found ways to do it. However this is not a solution for users without programming capability (and it really should be a core feature, perhaps in the Options dialogue window, under the 'Selection' tab).  

 

For what it's worth:

The command at work isn't obvious to me (changes system variables??), but when I undo the click and drag of a surface, the command line reads "_u DROPGEOM GROUP".

 

See below my command bar history, starting from just before I initiate a click and drag of the surface, right up until after I undo the command.

...

Command:

Command:

**** System Variable Changed ****

2 of the monitored system variables have changed from the preferred value. Use SYSVARMONITOR command to view changes.

**** System Variable Changed ****

1 of the monitored system variables has changed from the preferred value. Use SYSVARMONITOR command to view changes.

Command:

Command: _u DROPGEOM GROUP

Command:

 

I posted this through the 'Start' tab product feedback link, then received an email to post it here instead so people can vote on it. Hoping it can gain some traction. Thanks to any who vote!

3 Comments
TimYarris
Autodesk
Status changed to: Under Review

Thank you for your idea. This would need to be addressed in core AutoCAD, but we will share this with the AutoCAD team for review while customers continue to add feedback and vote on it.

curtisclark
Enthusiast

Thanks, Tim! Appreciated. 

MikeEvansUK
Advisor

Tim, I've created a code to eliminate this issue with Structures and pipes (you can add more types as needed).

 

When DropGeom is activated on a structure/pipe it disconnects from the connections but sometimes also disconnects every structure in the network a big issue unless you have a way to reconnect everything globally rather than manually.

 

Using the code below prevents this from happening but needs to be activated (at least with my basic Programming skills).

 

It may be possible to prevent this for certain objects or at least allow the user to decide using this (or a better code) method rather than having to go back to the AutoCAD team if that helps.

 

Mike

using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Runtime;
using Autodesk.Civil.DatabaseServices;

public class ObjOverrule : ObjectOverrule
{
    static ObjOverrule objRule = null;
    public override Autodesk.AutoCAD.DatabaseServices.DBObject WblockClone(Autodesk.AutoCAD.DatabaseServices.DBObject dbObject,

             RXObject ownerObject, IdMapping idMap, bool isPrimary)
    {
        
        return null;

        //return base.WblockClone(dbObject,

        //ownerObject, idMap, isPrimary);

    }



    public override Autodesk.AutoCAD.DatabaseServices.DBObject DeepClone(Autodesk.AutoCAD.DatabaseServices.DBObject dbObject,

                Autodesk.AutoCAD.DatabaseServices.DBObject ownerObject, IdMapping idMap, bool isPrimary)
    {

        return null;

        //return base.DeepClone(dbObject,

        //ownerObject, idMap, isPrimary);

    }



    [CommandMethod("CopyOverrule")]

    static public void copyOverrule()
    {
        if (objRule == null)
        {

            objRule = new ObjOverrule();



            Overrule.AddOverrule(RXObject.GetClass(typeof(Autodesk.Civil.DatabaseServices.Structure)),

                                                   objRule, true);

            Overrule.AddOverrule(RXObject.GetClass(typeof(Autodesk.Civil.DatabaseServices.Pipe)),

                                                  objRule, true);

            Overrule.Overruling = true;

        }

        else
        {

            Overrule.Overruling = false;

            Overrule.RemoveOverrule(RXObject.GetClass(typeof(Autodesk.Civil.DatabaseServices.Structure)),

                                                         objRule);
            Overrule.RemoveOverrule(RXObject.GetClass(typeof(Autodesk.Civil.DatabaseServices.Pipe)),

                                                        objRule);
            objRule.Dispose();

            objRule = null;

        }
        
    }
}

 

Can't find what you're looking for? Ask the community or share your knowledge.

Submit Idea  

Rail Community


 

Autodesk Design & Make Report